import { schemeGreens } from 'd3';

export function colorData(num) {
  switch (true) {
    case num >= 0.9:
      return d3.schemeGreens[6][5];
      break;
    case num > 0.8:
      return d3.schemeGreens[6][4];
      break;
    case num > 0.7:
      return d3.schemeGreens[6][3];
      break;
    case num > 0.6:
      return d3.schemeGreens[6][2];
      break;
    case num > 0.5:
      return d3.schemeGreens[6][1];
      break;
    case num <= 0.4:
      return d3.schemeGreens[6][0];
      break;
    default:
      return '#eee';
      break;
  }
}

export function colorScale() {
  let scale = [];
  scale = scale.concat(d3.schemeGreens[6][4]);
  scale = scale.concat(d3.schemeGreens[6][3]);
  scale = scale.concat(d3.schemeGreens[6][2]);
  scale = scale.concat(d3.schemeGreens[6][1]);
  scale = scale.concat(d3.schemeGreens[6][0]);
  scale = scale.concat('#eee');
  return scale;
}

export function numberScale() {
  let scale = [];
  scale = scale.concat('0.9-1');
  scale = scale.concat('0.8-0.9');
  scale = scale.concat('0.7-0.8');
  scale = scale.concat('0.6-0.7');
  scale = scale.concat('0-0.6');
  scale = scale.concat('No Data');
  return scale;
}
